{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/property_vacancy_report/report_to_building_unit') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/property_vacancy_report/report_to_building_unit') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('property_vacancy_management_property_vacancy_report_report', {'propertyVacancyReportId': propertyVacancyReport.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Meldung als Objekt übernehmen</span>
        {{ form_widget(reportToBuildingUnitForm.save, {'label': 'ÜBERNEHMEN', 'id': reportToBuildingUnitForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <p class="fs-2">Meldung</p>
                <p class="text-primary fs-4">
                    <strong>
                        {% if propertyVacancyReport.getIndustryClassification() %}
                            {{ propertyVacancyReport.getIndustryClassification().getName() }}
                        {% else %}
                            Objekt
                        {% endif %}
                        {% if propertyVacancyReport.getPropertyUserCompanyName() %}, {% if propertyVacancyReport.isObjectIsEmpty() %}ehemals {% endif %}{{ propertyVacancyReport.getPropertyUserCompanyName() }}{% endif %}
                    </strong>
                </p>
                <div class="row mt-1 mb-4">
                    <div class="col">
                        <div><strong>{{ propertyVacancyReport.getStreetName() }} {{ propertyVacancyReport.getHouseNumber() }}</strong></div>
                        <div><strong>{{ propertyVacancyReport.getPostalCode() }} {{ propertyVacancyReport.getPlace().getPlaceName() }}</strong></div>
                        <div class="mt-1">Lagebeschreibung:</div>
                        <div><strong>{{ propertyVacancyReport.getPlaceDescription()|nl2br }}</strong></div>
                    </div>
                </div>
            </div>
            {{ form_start(reportToBuildingUnitForm, {'attr': {'id': reportToBuildingUnitForm.vars.id ~ '_form'}}) }}
            {% include 'property_vacancy_management/form/property_vacancy_report/report_to_building_unit_form.html.twig' with {'form': reportToBuildingUnitForm} only %}
            {{ form_row(reportToBuildingUnitForm._token) }}
            {{ form_end(reportToBuildingUnitForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
